# $Revision: 1.18 $, $Date: 2005/08/06 06:42:40 $
%define 	zope_subname	Epoz
Summary:	epoz allows you to edit Zope or Plone-objects with a WYSIWYG-editor (primary ver.)
Summary(pl):	Dodatek do Zope lub Plone umoliwiajcy manipulacje na obiektach w trybie WYSIWYG
Name:		Zope-%{zope_subname}
Version:	2.0.1
Release:	1
License:	ZPL 2.0
Group:		Development/Tools
Source0:	http://mjablonski.zope.de/Epoz/releases/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	2c796e323db156ae03876919c4db1e0a
URL:		http://mjablonski.zope.de/Epoz/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope
Requires(post,postun):	/usr/sbin/installzopeproduct
Obsoletes:	Zope-epoz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
epoz allows you to edit Zope or Plone-objects with a WYSIWYG-editor.
(primary version)

%description -l pl
Dodatek do Zope lub Plone umoliwiajcy manipulacje na obiektach w
trybie WYSIWYG - (wersja pierwotna).

%prep
%setup -q -c

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -af %{zope_subname}/{Extensions,epoz,*.py,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc %{zope_subname}/{CHANGES.txt,HISTORY.txt,README.txt,TODO.txt,FAQ.txt,mx*.txt}
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-Epoz.spec,v $
Revision 1.18  2005/08/06 06:42:40  ciesiel
- upgraded to version 2.0.1

Revision 1.17  2005/06/27 14:50:51  ciesiel
- upgraded to version 2.0.0

Revision 1.16  2005/02/02 15:37:55  ciesiel
- upgraded to version 0.9.0

Revision 1.15  2005/01/13 06:39:55  ankry
- spaces -> tabs

Revision 1.14  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.13  2005/01/05 21:41:05  ciesiel
- rel. 2 for rebuild with python 2.4

Revision 1.12  2004/12/31 12:09:27  ciesiel
- upgraded to version 0.8.6

Revision 1.11  2004/12/25 18:00:01  saq
- release 2 for rebuild with python 2.4

Revision 1.10  2004/10/30 19:51:26  ciesiel
- upgrade to version 0.8.5

Revision 1.9  2004/08/31 13:32:59  ankry
- s/wysiwyg/WYSIWYG/

Revision 1.8  2004/08/22 07:58:08  ciesiel
- upgraded to version 0.8.4

Revision 1.7  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2004/07/18 19:44:07  ciesiel
- upgraded to version 0.8.2

Revision 1.5  2004/06/15 15:11:40  ciesiel
- rel. 2

Revision 1.4  2004/05/15 00:07:19  ciesiel
- adapterized

Revision 1.3  2004/05/15 00:04:14  ciesiel
- initial release

Revision 1.2  2003/11/24 19:23:08  ciesiel
- rename packages

Revision 1.1  2003/11/24 18:14:36  ciesiel
- initial release
